export interface StaticFileMapping {
    names: string[];
    generatedName: string;
}
export declare type MappingStore = StaticFileMapping[];
/**
 * Allows resolving static file mappings.
 */
export interface StaticFileMapper {
    resolve({ name }: {
        name: string;
    }): Promise<string>;
    has({ name }: {
        name: string;
    }): Promise<boolean>;
}
export declare class StaticFileMapperRun implements StaticFileMapper {
    private store;
    private baseUrl;
    private readStore;
    has({ name }: {
        name: string;
    }): Promise<boolean>;
    resolve({ name }: {
        name: string;
    }): Promise<string>;
    constructor({ store, baseUrl }: {
        store: MappingStore;
        baseUrl: string;
    });
}
//# sourceMappingURL=staticFileMapper.d.ts.map